Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Jorge Piera
Category: Application
Target version: 2.0.0-alpha4
Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2043
gvSIG build: 2043 Add-on resolve version:2.0.0
Operative System: Add-on resolve build: 2044
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Application gvSIG (org.gvsig.app)
Description

It is not possible to add a geometry to a layer if the table is open:

1) Open a shape layer
2) Open the table
3) Edit the layer
4) Add a geometry

I think that is a problem realed with the observers.

When a geometry is added, the CADTool execute this code:

featureStore.beginComplexNotification();
//Add the geometry
//Update the selection    
featureStore.endComplexNotification();

The endComplexNotification sends the notifications to the observers. One of this observers is the FeatureTableModel, that creates a
complex notification for the FeatureSeleccion. The ComplexNotification class has an static variable that doesn't allow the execution of
a complex notification inside other complex notification. The ComplexObservation sends an exception.

History
#1 - 02/08/2012 12:13 PM - Joaquín  del Cerro Murciano
- Assignee set to Jorge Piera

#2 - 02/08/2012 12:44 PM - Jorge Piera
- Status changed from New to Fixed
- % Done changed from 0 to 100
- Add-on version set to 2.0.0
- Add-on build set to 2043
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2044

Fixed.
#3 - 11/12/2012 10:27 AM - Abenchara Socorro
- Status changed from Fixed to Closed
